LoggerRepository Class Referenceabstract

A `LoggerRepository` is used to create and retrieve `Loggers`. More...

Inheritance diagram for LoggerRepository:

## Public Member Functions

virtual | ~LoggerRepository ()
virtual void | addHierarchyEventListener (const HierarchyEventListenerPtr &listener)=0
| Add a HierarchyEventListener event to the repository. More...
virtual bool | isDisabled (int level) const =0
| Is the repository disabled for a given level? The answer depends on the repository threshold and the `level` parameter. More...
virtual void | setThreshold (const LevelPtr &level)=0
| Set the repository-wide threshold. More...
virtual void | setThreshold (const LogString &val)=0
| Another form of setThreshold accepting a string parameter instead of a `Level`. More...
virtual void | emitNoAppenderWarning (const LoggerPtr &logger)=0
virtual const LevelPtr & | getThreshold () const =0
| Get the repository-wide threshold. More...
virtual LoggerPtr | getLogger (const LogString &name)=0
virtual LoggerPtr | getLogger (const LogString &name, const spi::LoggerFactoryPtr &factory)=0
virtual LoggerPtr | getRootLogger () const =0
virtual LoggerPtr | exists (const LogString &name)=0
virtual void | shutdown ()=0
virtual LoggerList | getCurrentLoggers () const =0
virtual void | fireAddAppenderEvent (const LoggerPtr &logger, const AppenderPtr &appender)=0
virtual void | resetConfiguration ()=0
virtual bool | isConfigured ()=0
virtual void | setConfigured (bool configured)=0
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual void | addRef () const =0
virtual void | releaseRef () const =0
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Additional Inherited Members

Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Detailed Description

A `LoggerRepository` is used to create and retrieve `Loggers`.

The relation between loggers in a repository depends on the repository but typically loggers are arranged in a named hierarchy.

In addition to the creational methods, a `LoggerRepository` can be queried for existing loggers, can act as a point of registry for events related to loggers.

## Constructor & Destructor Documentation

virtual ~LoggerRepository | ( |  | ) |

inline virtual

## Member Function Documentation

virtual void addHierarchyEventListener | ( | const HierarchyEventListenerPtr & | listener | ) |

pure virtual

Add a HierarchyEventListener event to the repository.

virtual void emitNoAppenderWarning | ( | const LoggerPtr & | logger | ) |

pure virtual

Implemented in Hierarchy.

virtual LoggerPtr exists | ( | const LogString & | name | ) |

pure virtual

Implemented in Hierarchy.

virtual void fireAddAppenderEvent | ( | const LoggerPtr & | logger,
|  | const AppenderPtr & | appender
| ) |  |

pure virtual

Implemented in Hierarchy.

virtual LoggerList getCurrentLoggers | ( |  | ) | const

pure virtual

Implemented in Hierarchy.

virtual LoggerPtr getLogger | ( | const LogString & | name | ) |

pure virtual

Implemented in Hierarchy.

virtual LoggerPtr getLogger | ( | const LogString & | name,
|  | const spi::LoggerFactoryPtr & | factory
| ) |  |

pure virtual

Implemented in Hierarchy.

virtual LoggerPtr getRootLogger | ( |  | ) | const

pure virtual

Implemented in Hierarchy.

virtual const LevelPtr& getThreshold | ( |  | ) | const

pure virtual

Get the repository-wide threshold.

See setThreshold for an explanation.

Implemented in Hierarchy.

virtual bool isConfigured | ( |  | ) |

pure virtual

Implemented in Hierarchy.

virtual bool isDisabled | ( | int | level | ) | const

pure virtual

Is the repository disabled for a given level? The answer depends on the repository threshold and the `level` parameter.

See also setThreshold method.

Implemented in Hierarchy.

virtual void resetConfiguration | ( |  | ) |

pure virtual

Implemented in Hierarchy.

virtual void setConfigured | ( | bool | configured | ) |

pure virtual

Implemented in Hierarchy.

virtual void setThreshold | ( | const LevelPtr & | level | ) |

pure virtual

Set the repository-wide threshold.

All logging requests below the threshold are immediately dropped. By default, the threshold is set to `Level::getAll()` which has the lowest possible rank.

Implemented in Hierarchy.

virtual void setThreshold | ( | const LogString & | val | ) |

pure virtual

Another form of setThreshold accepting a string parameter instead of a `Level`.

Implemented in Hierarchy.

virtual void shutdown | ( |  | ) |

pure virtual

Implemented in Hierarchy.

The documentation for this class was generated from the following file:

- loggerrepository.h